<?php
if (!defined('TYPO3_MODE')) {
	die ('Access denied.');
}

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
	'Quizpalme.' . $_EXTKEY,
	'Pi1',
	array(
		'Content' => 'list, listExtended, show, showExtended, random, search, carousel, carouselSeparated, responsiveCarousel, coolcarousel, lightslider, sgallery, skdslider, scrollable, roundabout, flipster, flexslider2, fullwidth, galleryview, galleryviewFancyBox, fancyBox, elastislide, innerfade, bootstrap, collapse, modal, tab, adGallery, adGalleryFancyBox, owl, owlSimpleModal, owl2, isotope, slick, responsive, map',
	),
	// non-cacheable actions
	array(
		'Content' => 'random, search',
	)
);

// Hooks for ke_search
if (\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::isLoaded('ke_search')) {
	// register custom indexer hook
	$GLOBALS['TYPO3_CONF_VARS']['EXTCONF']['ke_search']['registerIndexerConfiguration'][]
		= 'EXT:camaliga/Classes/Hooks/class.user_kesearchhooks.php:user_kesearchhooks';
	
	$GLOBALS['TYPO3_CONF_VARS']['EXTCONF']['ke_search']['customIndexer'][]
		= 'EXT:camaliga/Classes/Hooks/class.user_kesearchhooks.php:user_kesearchhooks';
}


// Add page TSConfig für den Linkvalidator (geht aber immer noch nicht)
if (\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::isLoaded('linkvalidator')) {
	\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPageTSConfig('<INCLUDE_TYPOSCRIPT: source="FILE:EXT:' . $_EXTKEY . '/Configuration/TSconfig/Page/mod.linkvalidator.txt">');
//	$pageTsConfig = \TYPO3\CMS\Core\Utility\GeneralUtility::getUrl(
//			\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extPath($_EXTKEY) . 'Configuration/TSconfig/Page/mod.linkvalidator.txt');
//	\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPageTSConfig($pageTsConfig);
}

if (TYPO3_MODE === 'BE') {
	// Add CSV-export task (sheduler)
	$GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['scheduler']['tasks']['Quizpalme\\Camaliga\\Task\\CsvExportTask'] = array(
			'extension' => $_EXTKEY,
			'title' => 'LLL:EXT:' . $_EXTKEY . '/Resources/Private/Language/locallang.xlf:tasks.title',
			'description' => 'LLL:EXT:' . $_EXTKEY . '/Resources/Private/Language/locallang.xlf:tasks.description',
			'additionalFields' => 'Quizpalme\\Camaliga\\Task\\CsvExportAdditionalFieldProvider'
	);
	
	// TCA-Validator. Lösung von hier: https://docs.typo3.org/typo3cms/TCAReference/Reference/Columns/Input/Index.html
	$TYPO3_CONF_VARS['SC_OPTIONS']['tce']['formevals']['tx_camaliga_double7'] = 'EXT:camaliga/Configuration/TCA/tx_camaliga_double7.php';
}
?>